package com.ferienclub.beachclub.esb;

import org.apache.log4j.Logger;

import com.ferienclub.beachclub.esb.messages.MenuItem;
import com.ferienclub.beachclub.esb.messages.MenuRequest;
import com.ferienclub.beachclub.esb.messages.OrderRequest;
import com.ferienclub.custadmin.beans.User;

public class BeachClubMgm implements BeachClubService {

	Logger log = Logger.getLogger(BeachClubMgm.class);
	
	public MenuRequest getMenu(String dummy) {
		log.info("Entering method getMenu()");
		return new MenuRequest();
	}
	
	public OrderRequest makeOrder(User u, MenuItem item, Integer amount){
		log.info("Entering method makeOrder");
		OrderRequest req = new OrderRequest();
		req.setOrder(item);
		req.setAmount(amount.intValue());
		req.setUser(u);
		return req;
	}
	
}
